=== debian/changelog ===
emacs-pass-mode (2.0-3) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 19:46:58 +0900

emacs-pass-mode (2.0-2) unstable; urgency=medium

  * Source-only upload

 -- Martin <debacle@debian.org>  Fri, 30 Sep 2022 19:52:03 +0000

emacs-pass-mode (2.0-1) unstable; urgency=medium

  * Initial package (Closes: #1019546)

 -- Martin <debacle@debian.org>  Sun, 11 Sep 2022 21:39:40 +0000
