=== debian/control ===
Source: emacs-pass-mode
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Martin <debacle@debian.org>
Build-Depends: debhelper-compat (= 13),
	dh-elpa,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/NicolasPetton/pass
Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-pass-mode.git
Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-pass-mode

Package: elpa-pass
Architecture: all
Depends: ${elpa:Depends},
	${misc:Depends},
Enhances: emacs
Description: major mode for password-store
 Major mode to work with the password-store ("pass").
 View, generate, edit, delete, and rename entries.
